/**
 * @typedef UseWindowSizeRes
 * @prop {number|undefined} width 窗口宽度
 * @prop {number|undefined} height 窗口高度
 */
/**
 * 监听浏览器窗口大小变化
 * @returns {UseWindowSizeRes}
 */
declare function useWindowSize(): UseWindowSizeRes;

type UseWindowSizeRes = {
    /**
     * 窗口宽度
     */
    width: number | undefined;
    /**
     * 窗口高度
     */
    height: number | undefined;
};

export { UseWindowSizeRes, useWindowSize as default, useWindowSize };
